<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <template class="KgxTabSwitcher" parent="GtkWidget">
    <child>
      <object class="AdwFlap" id="flap">
        <property name="orientation">vertical</property>
        <property name="swipe-to-open">False</property>
        <property name="swipe-to-close">False</property>
        <property name="modal">True</property>
        <property name="flap-position">end</property>
        <property name="fold-policy">always</property>
        <signal name="notify::reveal-flap" handler="reveal_flap_cb" swapped="true"/>
        <property name="flap">
          <object class="GtkOverlay">
            <style>
              <class name="tab-switcher"/>
            </style>
            <property name="child">
              <object class="GtkScrolledWindow">
                <property name="hscrollbar-policy">never</property>
                <property name="propagate-natural-width">True</property>
                <property name="propagate-natural-height">True</property>
                <style>
                  <class name="view"/>
                </style>
                <property name="child">
                  <object class="GtkListBox" id="list">
                    <property name="selection-mode">single</property>
                    <signal name="row-selected" handler="row_selected_cb" swapped="true"/>
                    <signal name="row-activated" handler="row_activated_cb" swapped="true"/>
                    <style>
                      <class name="navigation-sidebar"/>
                    </style>
                  </object>
                </property>
              </object>
            </property>
            <child type="overlay">
              <object class="GtkButton">
                <property name="halign">center</property>
                <property name="valign">start</property>
                <property name="can-focus">False</property>
                <signal name="clicked" handler="collapse_cb" swapped="true" />
                <style>
                  <class name="flat"/>
                  <class name="collapse-button"/>
                  <class name="image-button"/>
                </style>
                <property name="child">
                  <object class="GtkImage">
                    <property name="pixel-size">24</property>
                    <property name="icon-name">tab-switcher-collapse-symbolic</property>
                  </object>
                </property>
              </object>
            </child>
            <child type="overlay">
              <object class="GtkButton">
                <property name="halign">end</property>
                <property name="valign">end</property>
                <property name="icon-name">list-add-symbolic</property>
                <signal name="clicked" handler="new_tab_cb" swapped="true" />
                <style>
                  <class name="suggested-action"/>
                  <class name="new-tab-button"/>
                </style>
              </object>
            </child>
          </object>
        </property>
      </object>
    </child>
  </template>
</interface>
